<div class="site-attributes-property group-attribute" ...attributes>
  {{#if @isEdit}}
    {{#if this.colData}}
      <div class="attribute-display-name fw-bold fs-6 text-info">
        {{this.displayName}}
        {{#if @property.isRequired}}
          <span class="is-required-asterisk text-danger">*</span>
        {{/if}}
      </div>

      {{component
        (concat "editor/" this.colData.type)
        value=this.attributeValue
        options=this.colData.options
        onChange=this.dataChanged
      }}
    {{else}}
      <div class="d-flex">
        <div class="flex-grow-1 me-1">
          <Input class="input-attribute-name form-control mb-1" @value={{@property.name}} />

          {{#if @property.isBlocks}}
            <Editor::Blocks
              @value={{@property.value}}
              @onChange={{this.dataChanged}}
            />
          {{else}}
            <Input class="input-attribute-value form-control" @value={{@property.value}} />
          {{/if}}
        </div>
        <div>
          <button class="btn btn-danger btn-delete" type="button" {{on "click" this.deleteProperty}}>
            <FaIcon @icon="trash" />
          </button>
        </div>
      </div>
    {{/if}}
  {{else}}
    <div class="attribute-display-name fw-bold fs-6 text-info">
      {{this.displayName}}
      {{#if @property.isRequired}}
        <span class="is-required-asterisk text-danger">*</span>
      {{/if}}
    </div>

    <div class="attribute-value">
      {{#if @property.value.blocks}}
        <View::Blocks @value={{@property.value}} @space={{@space}} />
      {{else if (and @property.value (not (eq @property.value.blocks.length 0)))}}
        <MarkDown @value={{@property.value}} />
      {{else}}
        ---
      {{/if}}
    </div>
  {{/if}}
</div>